Bug 1373221 - EC2 provision dialogs do not support selecting multiple IPs for multi provision
Summary: EC2 provision dialogs do not support selecting multiple IPs for multi provision
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.0
Assignee: Greg McCullough
QA Contact: Matouš Mojžíš
URL:
Whiteboard: ui:provision:ec2:network
Depends On:
Blocks: 1442175 1442177
TreeView+ depends on / blocked
 
Reported: 2016-09-05 14:05 UTC by Matouš Mojžíš
Modified: 2019-08-06 20:06 UTC (History)
5 users (show)

Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1442175 1442177 (view as bug list)
Environment:
Last Closed: 2018-03-06 15:31:15 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Matouš Mojžíš 2016-09-05 14:05:15 UTC
Description of problem:


Version-Release number of selected component (if applicable):
5.6.1.2

How reproducible:
Always

Steps to Reproduce:
1. Add an ec2 provider
2. Provision multiple instances
3. Select Elastic IP association in enviroment

Actual results:
Instances are provisioned but without IP addresses.
[----] I, [2016-09-05T09:53:18.937205 #11798:ff7990]  INFO -- : Q-task_id([miq_provision_5]) <AutomationEngine> In State=[CheckProvisioned], invoking [on_error] method=[update_provision_status(status => '[Aws::EC2::Errors::InvalidParameterCombination]: You must specify an allocation id when mapping an address to a VPC instance')]


Expected results:
There should be an option to select EIP for every instance currently provisioning.

Additional info:

Comment 2 Greg McCullough 2016-09-08 18:25:57 UTC
The provisioning dialogs are not setup to handle selection of different items when multiple VMs are requested.  In this case we can hide the :floating_ip_address field in the UI when the :number_of_vms count is greater than 1.

If multiple VMs are selected the IP would need to be assigned from automate using custom logic.

Comment 4 drew uhlmann 2017-03-09 21:38:04 UTC
Sorry. Ignore github link, it's wrong.

Comment 9 Matouš Mojžíš 2017-12-06 09:52:06 UTC
Verified in 5.9.0.11. IP field is hidden when having more than one instance to provision.


Note You need to log in before you can comment on or make changes to this bug.